<?php
if ( ! class_exists( 'IPSitno_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPSitno_Model
    {
        
        /**
         * Save setting share page
         *
         * @param  int $shareId
         * @return void
         */
        public function save_setting( $shareId )
        {
            $shareId = absint( $shareId );
            $data    = $this->_get_setting_data();
            $setting = new IPSitno_Setting( $shareId, '__ipsitno-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /*
             * General
             */
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }
            if ( isset( $data['lifetime'] )) {
                $setting['lifetime'] = preg_replace( '@[^a-zA-Z0-9\/\-\:]@', '', $data['lifetime'] );
            }
            if ( ! empty( $data['position'] )) {
                $setting['position'] = apply_filters( 'single_post_title', $data['position'] );
            }
            if ( isset( $data['first_load'] )) {
                $setting['first_load'] = apply_filters( 'pre_term_name', $data['first_load'] );
            }
            if ( isset( $data['scroll_show'] )) {
                $setting['scroll_show'] = absint( $data['scroll_show'] );
            }
            if ( isset( $data['cookie'] )) {
                $setting['cookie'] = apply_filters( 'pre_term_name', $data['cookie'] );
            }
            
            /*
             * Design
             */
            if ( isset( $data['bg_color'] )) {
                $setting['bg_color'] = apply_filters( 'single_post_title', $data['bg_color'] );
            }
            if ( isset( $data['border_width'] )) {
                $setting['border_width'] = absint( $data['border_width'] );
            }
            if ( isset( $data['border_color'] )) {
                $setting['border_color'] = apply_filters( 'single_post_title', $data['border_color'] );
            }
            if ( isset( $data['title_color'] )) {
                $setting['title_color'] = apply_filters( 'single_post_title', $data['title_color'] );
            }
            if ( isset( $data['text_color'] )) {
                $setting['text_color'] = apply_filters( 'single_post_title', $data['text_color'] );
            }
            if ( isset( $data['tab_bg_color'] )) {
                $setting['tab_bg_color'] = apply_filters( 'single_post_title', $data['tab_bg_color'] );
            }
            if ( isset( $data['tab_color'] )) {
                $setting['tab_color'] = apply_filters( 'single_post_title', $data['tab_color'] );
            }
            if ( isset( $data['button_tab_icon'] )) {
                $setting['button_tab_icon'] = apply_filters( 'single_post_title', $data['button_tab_icon'] );
            }
            if ( isset( $data['footer_bg_color'] )) {
                $setting['footer_bg_color'] = apply_filters( 'single_post_title', $data['footer_bg_color'] );
            }
            if ( isset( $data['footer_color'] )) {
                $setting['footer_color'] = apply_filters( 'single_post_title', $data['footer_color'] );
            }
            if ( isset( $data['font_size'] )) {
                $setting['font_size'] = apply_filters( 'pre_term_name', $data['font_size'] );
            }
            if ( isset( $data['font_family'] )) {
                $setting['font_family'] = apply_filters( 'pre_term_name', $data['font_family'] );
            }
            if ( isset( $data['background_overlay'] )) {
                $setting['background_overlay'] = apply_filters( 'pre_term_name', $data['background_overlay'] );
            }
            if ( isset( $data['animation_speed'] )) {
                $setting['animation_speed'] = apply_filters( 'pre_term_name', $data['animation_speed'] );
            }
            if ( isset( $data['audio'] )) {
                $setting['audio'] = absint( $data['audio'] );
            }
            
            /*
             * Pre Share Content
             */
            if ( isset( $data['pre_title'] )) {
                $setting['pre_title'] = apply_filters( 'single_post_title', $data['pre_title'] );
            }
            if ( isset( $data['pre_info'] )) {
                $setting['pre_info'] = apply_filters( 'single_post_title', $data['pre_info'] );
            }
            if ( isset( $data['pre_image'] )) {
                $setting['pre_image'] = absint( $data['pre_image'] );
            }
            if ( isset( $data['button_share_info'] )) {
                $setting['button_share_info'] = apply_filters( 'single_post_title', $data['button_share_info'] );
            }
            if ( isset( $data['button_tab_label'] )) {
                $setting['button_tab_label'] = apply_filters( 'single_post_title', $data['button_tab_label'] );
            }
            if ( isset( $data['footer_info'] )) {
                $setting['footer_info'] = apply_filters( 'single_post_title', $data['footer_info'] );
            }
            
            /*
             * Post Share Content
             */
            if ( isset( $data['success_text'] )) {
                $setting['success_text'] = apply_filters( 'single_post_title', $data['success_text'] );
            }
            if ( isset( $data['success_info'] )) {
                $setting['success_info'] = apply_filters( 'single_post_title', $data['success_info'] );
            }
            if ( isset( $data['success_url'] )) {
                $setting['success_url'] = apply_filters( 'pre_link_url', $data['success_url'] );
            }
            if ( isset( $data['post_image'] )) {
                $setting['post_image'] = absint( $data['post_image'] );
            }
            
            /*
             * Share
             */
            if ( isset( $data['share_facebook'] )) {
                $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
            }
            if ( isset( $data['share_twitter'] )) {
                $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
            }
            if ( isset( $data['share_google-plus'] )) {
                $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
            }
            if ( isset( $data['share_button_style'] )) {
                $setting['share_button_style'] = apply_filters( 'single_post_title', $data['share_button_style'] );
            }
            if ( isset( $data['page_url'] )) {
                $setting['page_url'] = apply_filters( 'pre_link_url', $data['page_url'] );
            }
            if ( isset( $data['page_title'] )) {
                $setting['page_title'] = apply_filters( 'single_post_title', $data['page_title'] );
            }
            return $setting;
        }
    }

}
?>