jQuery(function ($) 
{
    var ipsitno_cookie = 
    {
        registry: [],
        create: function( name, value, days ) 
        {
            if ( days ) {
                var date = new Date();
                date.setTime(date.getTime()+(days*24*60*60*1000));
                var expires = "; expires="+date.toGMTString();
            }
            else var expires = "";
            document.cookie = name+"="+value+expires+"; path=/";
        },
        read: function( name )
        {
            var nameEQ = name + "=";
            var ca = document.cookie.split(';');
            for(var i=0;i < ca.length;i++) {
                var c = ca[i];
                while (c.charAt(0)==' ') c = c.substring(1,c.length);
                if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
            }
            return null;
        },
        event_change: function( cookie_name, callback )
        {
            var self = this;
            setInterval(function() {
                if (self.registry[cookie_name]) {
                    if (self.read(cookie_name) != self.registry[cookie_name]) { 
                        // update registry so we dont get triggered again
                        self.registry[cookie_name] = self.read(cookie_name); 
                        return callback();
                    } 
                } else {
                    self.registry[cookie_name] = self.read(cookie_name); 
                }
            }, 100);
        },
        event_to_value: function( name, value, callback )
        {
            var self = this;
            var interval = setInterval(function() 
            {
                var cookie = self.read( name );
                if ( cookie == value ) {
                var result = callback();
                clearInterval( interval );
                }
            }, 100);
        }
    };

    $(document).ready(function() 
    {
        //Setup
        var root  = $( '#ipsitno-root' );
        var style = $( '#ipsitno-style', root );
        var main  = $( '.ipsitno-main', root );
        var width = main.width();
        var tab   = $( '.ipsitno-tab' );
        var tabwidth = tab.width();
        tab.width( tabwidth+30 );
        
        if ( root.hasClass( 'ipsitno-close' )) {
            main.hide();
        }
        
        //Get speed
        var speed = 1000;
        var spopt = style.data( 'speed' );
        switch( spopt ) {
            case 'xs':
                speed = 2000;
                break;
            case 'sm':
                speed = 1500;
                break;
            case 'md':
                speed = 1000;
                break;
            case 'lg':
                speed = 500;
                break;
            case 'xg':
                speed = 200;
                break;
        }
        
        /*
         * Scroll
         */
        var is_show = false;
        if ( root.hasClass( 'ipsitno-show' )) {
            is_show = true;
        }
        if ( style.hasClass( 'ipsitno-scroll-on' ))
        {
            var scroll = style.data( 'scroll' );
            $(window).scroll( function()
            {
                if ( ! is_show )
                {
                    var top = $(window).scrollTop();
                    if ( top > scroll ) {
                        ipsitno_show();
                        //Play Audio
                        ipsitno_play_audio();
                        is_show = true;
                    }
                }
            });
        }
        
        /*
         * Tab click
         */
        tab.click( function()
        {
            if ( root.hasClass( 'ipsitno-show' )) {
                ipsitno_close();
            } else {
                ipsitno_show();
            }
            //Play Audio
            ipsitno_play_audio();
            return false;
        });
        
        function ipsitno_close()
        {
            if ( style.hasClass( 'ipsitno-position-left' )) {
                main.css('margin-left', 0 ).show();
                main.animate( {marginLeft: '-'+width+'px'}, speed );
            } else {
                main.css('margin-right', 0 ).show();
                main.animate( {marginRight: '-'+width+'px'}, speed );
            }
            root.removeClass( 'ipsitno-show' );
            root.addClass( 'ipsitno-close' );
        }
        function ipsitno_show()
        {
            if ( style.hasClass( 'ipsitno-position-left' )) {
                main.css('margin-left', '-'+width+'px' ).show();
                main.animate( {marginLeft: 0}, speed );
            } else {
                main.css('margin-right', '-'+width+'px' ).show();
                main.animate( {marginRight: 0}, speed );
            }
            root.addClass( 'ipsitno-show' );
            root.removeClass( 'ipsitno-close' );
        }
        //Play audio
        function ipsitno_play_audio()
        {
            if ( style.hasClass( 'ipsitno-audio-on' ) )
            {
                var audio = $( '.ipsitno-audio', root )
                if ( audio.length > 0 ) {
                    audio[0].play();
                }
            }
        }
        
        /*
         * Share button click
         */
        $( '.ipsitno-share' ).click( function()
        {
            var href = $(this).attr( 'href' );
            window.open(href,'t','toolbar=0,resizable=1,status=0,width=640,height=528');
            
            var root   = $( '#ipsitno-root' );
            var height = $( '.ipsitno-main', root ).height();
            
            //Center loader
            var mtloader = (height-64)/2;
            $( '.ipsitno-loader img', root ).css( 'margin-top', mtloader );
            $( '.ipsitno-loader', root ).show();
            
            setTimeout( function(){
                $( '.ipsitno-pre-content', root ).hide();
                $( '.ipsitno-post-content', root ).show();
                $( '.ipsitno-loader', root ).hide();
                //Set cookie
                ipsitno_cookie.create( '_ipsitno_post_open', '1' );
            }, 6000);
            
            return false;
        });
    });
});